## ide-terminal-surface ide-terminal-surface |

## Functions

IdeTerminalSurface * | ide_terminal_surface_new ()

## Types and Values

#define | IDE_TYPE_TERMINAL_SURFACE
| IdeTerminalSurface

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlDockBin
                        ╰── IdeSurface
                            ╰── IdeTerminalSurface

## Implemented Interfaces

IdeTerminalSurface implements AtkImplementorIface, GtkBuildable, DzlDockItem and DzlDock.

## Description

## Functions

### ide_terminal_surface_new ()

    IdeTerminalSurface *
    ide_terminal_surface_new (void);

Create a new IdeTerminalSurface.

#### Returns

a newly created IdeTerminalSurface.

[transfer full]

Since: 3.32

## Types and Values

### IDE_TYPE_TERMINAL_SURFACE

    #define IDE_TYPE_TERMINAL_SURFACE (ide_terminal_surface_get_type())

### IdeTerminalSurface

    typedef struct _IdeTerminalSurface IdeTerminalSurface;